function [y b P]=get_next(state,u,system,seed)
%OK
%prostor hyperstavu - kazdy bod ma souradnice (y, b, P)

%realization
    y=state(1)+system.b*u+system.sigma*seed;
    
    
%kalman
    K=u*state(3)/(state(3)*u^2+system.sigma^2);
    b=state(2)+K*(y-state(1)-state(2)*u);
    P=(1-K*u)*state(3);
    
end